Package org.jboss.resteasy.spi

## Interface PropertyInjector

- All Known Implementing Classes:
    `CdiPropertyInjector`, `PropertyInjectorImpl`, `ResourcePropertyInjector`

      public interface PropertyInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompletionStage<Void>` | `inject​(Object target, boolean unwrapAsync)` | Inject values into annotated properties (fields/setter methods) of the target object.
    `CompletionStage<Void>` | `inject​(HttpRequest request, HttpResponse response, Object target, boolean unwrapAsync)` | Inject values into annotated properties (fields/setter methods) of the target object.

- - ### Method Detail

    - #### inject

          CompletionStage<Void> inject​(Object target,
                                       boolean unwrapAsync)

      Inject values into annotated properties (fields/setter methods) of the target object. This method should only be used outside the scope of an HTTP request.
      Parameters:
        `target` - target object
        `unwrapAsync` - unwrap async
      Returns:
        `CompletionStage` or null if async isn't needed

    - #### inject

          CompletionStage<Void> inject​(HttpRequest request,
                                       HttpResponse response,
                                       Object target,
                                       boolean unwrapAsync)
                                throws Failure,
                                       javax.ws.rs.WebApplicationException,
                                       ApplicationException

      Inject values into annotated properties (fields/setter methods) of the target object. This method should only be used inside the scope of an HTTP request.
      Parameters:
        `request` - http request
        `response` - http response
        `target` - target object
        `unwrapAsync` - unwrap async
      Returns:
        `CompletionStage` or null if async isn't needed
      Throws:
        `Failure` - if application failure occurred
        `javax.ws.rs.WebApplicationException` - if application exception occurred
        `ApplicationException`